# Serialized Form

- ## Package com.fasterxml.jackson.dataformat.javaprop

  - ### Class com.fasterxml.jackson.dataformat.javaprop.JavaPropsFactory extends com.fasterxml.jackson.core.JsonFactory implements Serializable

    serialVersionUID:
      1L

  - ### Class com.fasterxml.jackson.dataformat.javaprop.JavaPropsMapper extends com.fasterxml.jackson.databind.ObjectMapper implements Serializable

    serialVersionUID:
      1L

  - ### Class com.fasterxml.jackson.dataformat.javaprop.JavaPropsSchema extends Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### _firstArrayOffset

            int _firstArrayOffset

        Specifies index number used when writing the first array entry (which in Java has index of 0). After this initial value, additional elements will have consecutive values, incremented by 1. Note that this setting has no effect on reading: input indexes are only used for sorting values, and their exact values have no meaning.

        Default value is 1.

      - #### _pathSeparator

            String _pathSeparator

        Default path separator to use for hierarchic paths, if any; empty String may be used to indicate that no hierarchy should be inferred using a simple separator (although index markers may still be used, if defined).

      - #### _indexMarker

            Markers _indexMarker

        Default start marker for index access, if any; empty String may be used to indicate no marker-based index detection should be made.

        Default value of "[" is usually combined with end marker of "]" to allow C/Java-style bracket notation, like "settings.path[1]".

      - #### _parseSimpleIndexes

            boolean _parseSimpleIndexes

        Whether 'simple' index-notation is supported for path segments or not: simple meaning that if a path segment is a textual representation of a non-negative integer value with length of 9 or less (that is, up to but no including one billion), it will be considered index, not property name.

        Note that this settings does NOT control whether "start/end marker" indicated indexes are enabled or not; those depend on `JavaPropsSchema._indexMarker`.

        Default value is `true`, "plain" index segments are supported.

      - #### _writeIndexUsingMarkers

            boolean _writeIndexUsingMarkers

        Whether array-element paths are written using start/end markers (see `JavaPropsSchema._indexMarker` or "simple" index number: if set to `true` AND markers are specified as non-empty Strings, will use sequence of

               startMarker index endMarker

        to include index in path; otherwise will simply use textual representation of the index number as path segment, prefixed by path separator as necessary.

      - #### _lineIndentation

            String _lineIndentation

        String prepended before key value, as possible indentation

      - #### _keyValueSeparator

            String _keyValueSeparator

        String added between key and value; needs to include the "equals character" (either '=' or ':', both allowed by Java Properties specification), may also include white before and/or after "equals character". Default value is a single '=' character with no white spaces around

      - #### _lineEnding

            String _lineEnding

        String added after value, including at least one linefeed. Default value is the 'Unix linefeed'.

      - #### _header

            String _header

        Optional header to prepend before any other output: typically a comment section or so. Note that contents here are NOT modified in any way, meaning that any comment indicators (leading '#' or '!') and linefeeds MUST be specified by caller.

Copyright © 2017 FasterXML. All rights reserved.